> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corebanq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List tasks

> Retrieve all tasks with optional filtering



## OpenAPI

````yaml get /v1/customers/{customer_id}/tasks
openapi: 3.0.0
info:
  title: Tasks API
  version: 1.0.0
  description: API for managing tasks and assignments
servers: []
security:
  - bearerAuth: []
tags:
  - name: Tasks
    description: Task management operations
  - name: Task Actions
    description: Task action operations
  - name: Task Assignees
    description: Task assignee operations
paths:
  /v1/customers/{customer_id}/tasks:
    get:
      tags:
        - Tasks
      summary: List tasks
      description: Retrieve all tasks with optional filtering
      parameters:
        - name: customer_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: status
          in: query
          schema:
            type: string
          description: Filter by status (comma-separated)
        - name: is_urgent
          in: query
          schema:
            type: boolean
        - name: category
          in: query
          schema:
            type: string
            enum:
              - sign
              - approve
              - update
              - delete
        - name: not_created_by
          in: query
          schema:
            type: boolean
          description: Exclude tasks created by user
      responses:
        '200':
          description: List of tasks
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Task'
components:
  schemas:
    Task:
      type: object
      properties:
        id:
          type: string
          format: uuid
        title:
          type: string
        category:
          type: string
          enum:
            - sign
            - approve
            - update
            - delete
        description:
          type: string
        is_urgent:
          type: boolean
        status:
          type: string
          enum:
            - pending
            - in_progress
            - completed
            - canceled
            - declined
        weight:
          type: number
        performed_weight:
          type: number
        customer_id:
          type: string
          format: uuid
        assignees:
          type: array
          items:
            $ref: '#/components/schemas/Assignee'
        created_at:
          type: string
          format: date-time
        created_by:
          type: string
          format: uuid
        metadata:
          type: object
          properties:
            logs:
              type: array
              items:
                type: object
            actions:
              type: object
              additionalProperties:
                type: array
                items:
                  type: string
          additionalProperties: true
    Assignee:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        task_id:
          type: string
          format: uuid
        user_id:
          type: string
          format: uuid
        status:
          type: string
          enum:
            - pending
            - in_progress
            - completed
            - declined
        weight:
          type: number
        task_completed:
          type: boolean
        assigned_at:
          type: string
          format: date-time
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````